Utils

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.java
Class Utils

    java.lang.Object
      org.openswing.swing.util.java.Utils

public class Utils
extends java.lang.Object

Title: OpenSwing Framework

Description: Singleton class used to compare/translate data types.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`Utils()`

Method Summary
`static boolean` | `equals(boolean[] a1, boolean[] a2)` Compare two arrays of booleans.
`static boolean` | `equals(FilterWhereClause[] a1, FilterWhereClause[] a2)` Compare two arrays of FilterWhereClause.
`static boolean` | `equals(int[] a1, int[] a2)` Compare two arrays of integers.
`static boolean` | `equals(java.util.List a1, java.util.List a2)` Compare two lists of objects.
`static boolean` | `equals(java.util.Map a1, java.util.Map a2)` Compare two maps of objects: both keys and values are compared.
`static boolean` | `equals(java.lang.Object[] a1, java.lang.Object[] a2)` Compare two arrays of objects.
`static boolean` | `equals(java.lang.String[] a1, java.lang.String[] a2)` Compare two arrays of strings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### equals

    public static final boolean equals(int[] a1,
                                       int[] a2)

  Compare two arrays of integers.

  Returns:
    `true` if two arrays contain the same values, `false` otherwise

### equals

    public static final boolean equals(java.lang.String[] a1,
                                       java.lang.String[] a2)

  Compare two arrays of strings.

  Returns:
    `true` if two arrays contain the same values, `false` otherwise

### equals

    public static final boolean equals(java.lang.Object[] a1,
                                       java.lang.Object[] a2)

  Compare two arrays of objects.

  Returns:
    `true` if two arrays contain the same values, `false` otherwise

### equals

    public static final boolean equals(boolean[] a1,
                                       boolean[] a2)

  Compare two arrays of booleans.

  Returns:
    `true` if two arrays contain the same values, `false` otherwise

### equals

    public static final boolean equals(java.util.List a1,
                                       java.util.List a2)

  Compare two lists of objects.

  Returns:
    `true` if two lists contain the same values, `false` otherwise

### equals

    public static final boolean equals(FilterWhereClause[] a1,
                                       FilterWhereClause[] a2)

  Compare two arrays of FilterWhereClause.

  Returns:
    `true` if two arrays contain the same values, `false` otherwise

### equals

    public static final boolean equals(java.util.Map a1,
                                       java.util.Map a2)

  Compare two maps of objects: both keys and values are compared. Supported values are base java types, List, Map, String[], Object[], int[], boolean[] and FilterWhereClause[].

  Returns:
    `true` if two lists contain the same values, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD